org.bdgenomics.cannoli.builder

# LocalBuilder

###
Related Doc: package builder

#### final class LocalBuilder extends CommandBuilder

Linear Supertypes
CommandBuilder, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LocalBuilder
2. CommandBuilder
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new LocalBuilder(executable: String)

2. #### new LocalBuilder()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def add(arguments: Iterable[String]): CommandBuilder

   Definition Classes
     CommandBuilder

5. #### final def add(arguments: <repeated...>[String]): CommandBuilder

   Definition Classes
     CommandBuilder

6. #### final def addArgument(argument: String): CommandBuilder

   Definition Classes
     CommandBuilder

7. #### final def addArguments(arguments: Iterable[String]): CommandBuilder

   Definition Classes
     CommandBuilder

8. #### final def addArguments(arguments: <repeated...>[String]): CommandBuilder

   Definition Classes
     CommandBuilder

9. #### final def addEnvironment(environment: Map[String, String]): CommandBuilder

   Definition Classes
     CommandBuilder

10. #### final def addEnvironment(variable: String, value: String): CommandBuilder

    Definition Classes
      CommandBuilder

11. #### final def addFile(file: String): CommandBuilder

    Definition Classes
      CommandBuilder

12. #### final def addFiles(files: Iterable[String]): CommandBuilder

    Definition Classes
      CommandBuilder

13. #### final def addFiles(files: <repeated...>[String]): CommandBuilder

    Definition Classes
      CommandBuilder

14. #### final def addMount(source: String, target: String): CommandBuilder

    Definition Classes
      CommandBuilder

15. #### final def addMount(mount: String): CommandBuilder

    Definition Classes
      CommandBuilder

16. #### final def addMounts(mounts: Map[String, String]): CommandBuilder

    Definition Classes
      CommandBuilder

17. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

18. #### final def build(): List[String]

    Definition Classes
      LocalBuilder → CommandBuilder

19. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### final def getArguments(): List[String]

    Definition Classes
      CommandBuilder

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### final def getEnvironment(): Map[String, String]

    Definition Classes
      CommandBuilder

26. #### final def getExecutable(): String

    Definition Classes
      CommandBuilder

27. #### final def getFiles(): List[String]

    Definition Classes
      CommandBuilder

28. #### final def getFlankSize(): Integer

    Definition Classes
      CommandBuilder

29. #### final def getImage(): String

    Definition Classes
      CommandBuilder

30. #### final def getMounts(): Map[String, String]

    Definition Classes
      CommandBuilder

31. #### final def getOptFlankSize(): Optional[Integer]

    Definition Classes
      CommandBuilder

32. #### final def getOptTimeout(): Optional[Long]

    Definition Classes
      CommandBuilder

33. #### final def getSudo(): Boolean

    Definition Classes
      CommandBuilder

34. #### final def getTimeout(): Long

    Definition Classes
      CommandBuilder

35. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

36. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

37. #### final def isSudo(): Boolean

    Definition Classes
      CommandBuilder

38. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### final def reset(): CommandBuilder

    Definition Classes
      CommandBuilder

42. #### final def setExecutable(executable: String): CommandBuilder

    Definition Classes
      CommandBuilder

43. #### final def setFlankSize(flankSize: Integer): CommandBuilder

    Definition Classes
      CommandBuilder

44. #### final def setImage(image: String): CommandBuilder

    Definition Classes
      CommandBuilder

45. #### final def setSudo(sudo: Boolean): CommandBuilder

    Definition Classes
      CommandBuilder

46. #### final def setTimeout(duration: Long, timeUnit: TimeUnit): CommandBuilder

    Definition Classes
      CommandBuilder

47. #### final def setTimeout(timeout: Long): CommandBuilder

    Definition Classes
      CommandBuilder

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Definition Classes
      AnyRef → Any

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CommandBuilder

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped